## org.eclipse.datatools.modelbase.sql.query
Class UpdatabilityType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.UpdatabilityType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class UpdatabilityType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Updatability Type', and utility methods for working with them.

See Also:
  `SQLQueryModelPackage.getUpdatabilityType()`, Serialized Form

Field Summary
`static int` `READ_ONLY` The 'READ ONLY' literal value.
`static UpdatabilityType` `READ_ONLY_LITERAL` The 'READ ONLY' literal object.
`static int` `UPDATE` The 'UPDATE' literal value.
`static UpdatabilityType` `UPDATE_LITERAL` The 'UPDATE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Updatability Type' enumerators.

Method Summary
`static UpdatabilityType` `get(int value)` Returns the 'Updatability Type' literal with the specified integer value.
`static UpdatabilityType` `get(java.lang.String literal)` Returns the 'Updatability Type' literal with the specified literal value.
`static UpdatabilityType` `getByName(java.lang.String name)` Returns the 'Updatability Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### READ_ONLY

    public static final int READ_ONLY

  The 'READ ONLY' literal value.

  If the meaning of 'READ ONLY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `READ_ONLY_LITERAL`, Constant Field Values

### UPDATE

    public static final int UPDATE

  The 'UPDATE' literal value.

  If the meaning of 'UPDATE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UPDATE_LITERAL`, Constant Field Values

### READ_ONLY_LITERAL

    public static final UpdatabilityType READ_ONLY_LITERAL

  The 'READ ONLY' literal object.

  See Also:
    `READ_ONLY`

### UPDATE_LITERAL

    public static final UpdatabilityType UPDATE_LITERAL

  The 'UPDATE' literal object.

  See Also:
    `UPDATE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Updatability Type' enumerators.

Method Detail

### get

    public static UpdatabilityType get(java.lang.String literal)

  Returns the 'Updatability Type' literal with the specified literal value.

### getByName

    public static UpdatabilityType getByName(java.lang.String name)

  Returns the 'Updatability Type' literal with the specified name.

### get

    public static UpdatabilityType get(int value)

  Returns the 'Updatability Type' literal with the specified integer value.